require File.expand_path(File.join(File.dirname(__FILE__), '..', '..', 'puppet_x', 'bamboo', 'util.rb'))

Puppet::Type.newtype(:bamboo_audit_log) do
  @doc = 'Puppet Type for Bamboo Audit Log management'

  newparam(:name, :namevar => true) do
    desc 'name of the configuration. E.g., current'

    validate do |value|
      Util.assert_equal_to_current(value)
    end
  end

  newproperty(:audit_log_enabled, :boolean => true) do
    desc 'Whether audit log is enabled'

    newvalue(:true)
    newvalue(:false)
  end

end
